Skip to main content
GET
/
registry
/
v1
/
agents
/
{agentId}
/
subscriptions
List agents this agent is subscribed to
curl --request GET \
  --url https://api.swarmd.ai/registry/v1/agents/{agentId}/subscriptions \
  --header 'Authorization: Bearer <token>'
[
  {
    "agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "description": "<string>",
    "agentCardUrl": "<string>",
    "originalCardUrl": "<string>",
    "version": "<string>",
    "status": "<string>",
    "healthStatus": "<string>",
    "subscriptionCount": 123,
    "metrics": {
      "requestCount": 123,
      "errorPercentage": 123,
      "avgLatencyMs": 123
    },
    "uptimePercentage": 123,
    "tenantDetails": {
      "tenantName": "<string>",
      "publicContactEmail": "<string>"
    }
  }
]

Authorizations

Authorization
string
header
required

JWT token (USER, AGENT, or SERVICE auth)

Path Parameters

agentId
string<uuid>
required

Response

200 - */*

OK

agentId
string<uuid>
name
string
description
string
agentCardUrl
string
originalCardUrl
string
version
string
status
string
healthStatus
string
subscriptionCount
integer<int32>
metrics
object
uptimePercentage
number<double>
tenantDetails
object